# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Tue Mar  4 21:35:36 2025
# ------------------------------------------------

package:
  name: jupyterlab_pygments
  version: 0.3.0
source:
  sha256: 721aca4d9029252b11cfa9d185e5b5af4d54772bb8072f9b7036f4170054d35d
  url: https://pypi.io/packages/source/j/jupyterlab_pygments/jupyterlab_pygments-0.3.0.tar.gz
build:
  number: '0'
  script: /croot/jupyterlab_pygments_1741124142640/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/bin/python
    -m pip install . --no-deps --no-build-isolation --ignore-installed --no-cache-dir
    -vv
  string: py312h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2025.2.25 h06a4308_0
    - expat 2.6.4 h6a678d5_0
    - hatch-jupyter-builder 0.9.1 py312h06a4308_0
    - hatch-nodejs-version 0.3.2 py312h06a4308_0
    - hatchling 1.27.0 py312h06a4308_0
    - ld_impl_linux-64 2.40 h12ee557_0
    - libffi 3.4.4 h6a678d5_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.16 h5eee18b_0
    - packaging 24.2 py312h06a4308_0
    - pathspec 0.10.3 py312h06a4308_0
    - pip 25.0 py312h06a4308_0
    - pluggy 1.5.0 py312h06a4308_0
    - python 3.12.9 h5148396_0
    - readline 8.2 h5eee18b_0
    - setuptools 75.8.0 py312h06a4308_0
    - sqlite 3.45.3 h5eee18b_0
    - tk 8.6.14 h39e8969_0
    - trove-classifiers 2024.10.14 py312h06a4308_0
    - tzdata 2025a h04d1e81_0
    - wheel 0.45.1 py312h06a4308_0
    - xz 5.6.4 h5eee18b_1
    - zlib 1.2.13 h5eee18b_1
  run:
    - pygments >=2.4.1,<3
    - python >=3.12,<3.13.0a0
  run_constrained:
    - jupyterlab >=4.0.0,<5.0.0
test:
  commands:
    - pip check
  imports:
    - jupyterlab_pygments
  requires:
    - pip
about:
  description: 'The goal is to enable the use of JupyterLab''s themes with pygments-generated
    HTML.

    '
  dev_url: https://github.com/JupyterLab/jupyterlab_pygments
  doc_url: https://github.com/jupyterlab/jupyterlab_pygments
  home: https://github.com/JupyterLab/jupyterlab_pygments
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: Pygments syntax coloring scheme making use of the JupyterLab CSS variables
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: fadb80fd-7ce3-4827-89ef-244fbd305262
  recipe-maintainers:
    - SylvainCorlay
    - maartenbreddels
  remote_url: git@github.com:AnacondaRecipes/jupyterlab_pygments-feedstock.git
  sha: 9485f9b37bd553b0a70cf02dfe5c9d7b23daff9c
